package com.bsn.mes.pro.domain.vo;

import com.bsn.common.annotation.Excel;
import com.bsn.common.core.domain.BaseEntity;
import com.bsn.mes.pro.domain.productionSolution.ProProductionSolutionProcess;
import com.bsn.mes.pro.domain.productionSolution.ProProductionSolutionProcessItem;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.beans.BeanUtils;

import java.math.BigDecimal;
import java.util.List;

/**
 * title:
 * author:ZHT
 * date:2024/1/23
 * description:
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class ProProductionSolutionProcessVo extends BaseEntity {
    private static final long serialVersionUID = 1L;


    /**
     * ID
     */
    private Long productionSolutionProcessId;

    /**
     * 生产版本ID
     */
    private Long productionSolutionId;

    /**
     * 记录ID
     */
    private Long recordId;

    /**
     * 工序id
     */
    private Long processId;

    /**
     * 工序编码
     */
    private String processCode;

    /**
     * 工作中心
     */
    private Long workstationId;

    /**
     * 工作中心名称
     */
    private String workstationName;


    /**
     * 关键工序
     */
    private String keyFlag;

    /**
     * 固化时间
     */
    private BigDecimal solidifyTime;

    /**
     * 是否检验
     */
    private String isCheck;

    /**
     * 序号
     */
    private String idx;

    /**
     * 工作中心编码
     */
    private String workstationCode;

    /**
     * 加工方式
     */
    private String processingMethod;

    /**
     * 工序名称
     */
    private String processName;

    /**
     * 工序备注
     */
    private String processRemark;

    /**
     * 基本数量
     */
    private BigDecimal quantity;

    /**
     * 工序计量单位
     */
    private String unitOfMeasure;
    /**
     * 副單位
     */
    private String deputyUnitOfMeasure;

    /**
     * 主副单位转换比例
     */
    private BigDecimal unitConvert;

    /**
     * 雇员数量
     */
    private int employeesNum;

    /**
     * 标准工时
     */
    private BigDecimal stdWorkingTime;

    /**
     * 换行时间
     */
    private BigDecimal lineBreakTime;

    /**
     * 工时单位
     */
    private String stdWorkingTimeUom;

    /**
     * 采购信息记录号
     */
    private String procurementInformationId;

    /**
     * 供应商科目编号
     */
    private String vendorSubjectId;

    /**
     * 采购信息记录中的净价
     */
    private BigDecimal netPrice;

    /**
     * 采购组织
     */
    private String procurementOrganization;

    /**
     * 备注
     */
    private String remark;


    /** 封切机开边 */
    @Excel(name = "封切机开边")
    private String sacmForEdgeOpening;

    /** 封切机粘贴复合 */
    @Excel(name = "封切机粘贴复合")
    private String sacmForPasteComposite;

    /** 封切机热复合 */
    @Excel(name = "封切机热复合")
    private String sacmForThermalComposite;

    /** 封切机贴标 */
    @Excel(name = "封切机贴标")
    private String sacmForLabeling;

    /** 封切机装扣 */
    @Excel(name = "封切机装扣")
    private String sacmForBuckleUp;

    /** 封切机压痕 */
    @Excel(name = "封切机压痕")
    private String sacmForCreasing;

    /** 封切机风琴 */
    @Excel(name = "封切机风琴")
    private String sacmForOrgan;

    /** 封切机热切 */
    @Excel(name = "封切机热切")
    private String sacmForThermalCutting;

    /** 封切机热自合 */
    @Excel(name = "封切机热自合")
    private String sacmForThermalSelfFusion;

    /** 封切机压齿 */
    @Excel(name = "封切机压齿")
    private String sacmForMolarTooth;

    /** 封切机分切 */
    @Excel(name = "封切机分切")
    private String sacmForSlitting;


    /**
     * 工序物料
     */
    private List<ProProductionSolutionProcessItem> processItemList;

    /**
     * 生产版本工序检验项
     **/
    private List<ProProductionSolutionProcessQcindexVo> qcindexList;

    /**
     * 生产版本工序工装夹具
     **/
    private List<ProProductionSolutionProcessToolVo> toolList;


    public ProProductionSolutionProcess getProductionSolutionProcess(ProProductionSolutionProcessVo proProductionSolutionProcessVo) {
        ProProductionSolutionProcess proProductionSolutionProcess = new ProProductionSolutionProcess();
        BeanUtils.copyProperties(proProductionSolutionProcessVo, proProductionSolutionProcess);
        return proProductionSolutionProcess;
    }
}
