package com.bsn.mes.pro.domain.vo.task;

import com.baomidou.mybatisplus.annotation.TableField;
import com.bsn.mes.pro.domain.vo.proWorkOrder.PackageReportInfo;
import com.bsn.mes.pro.domain.vo.proWorkOrder.WorkorderPackage;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 包装工序报工列表
 *
 * @date 2024-05-13
 */
@Data
public class FeedbackPackageInfo {

    @ApiModelProperty("SIZE动态字段列名")
    private String sizeColumnName;

    @ApiModelProperty("指令报工数据")
    private List<FeedbackPackageDetail> directiveList;

    @ApiModelProperty("SIZE报工数据")
    private List<FeedbackPackageDetail> sizeList;

    @ApiModelProperty("工单包装标签报工数据")
    private List<FeedbackPackageDetail> orderPackageList;

    @Data
    public static class FeedbackPackageDetail extends WorkorderPackage {

        @ApiModelProperty("派工数")
        private BigDecimal quantity;
        @ApiModelProperty("净重")
        private BigDecimal netWeight;
        @ApiModelProperty("已包装数量")
        private BigDecimal feedbackQuantity=BigDecimal.ZERO;
        @ApiModelProperty("标准SIZE")
        private String standardSize;
        @ApiModelProperty("标准SIZE序号")
        private String standardSizeIdx;
        @ApiModelProperty("指令号")
        private String clientCmd;

    }

}
