package com.bsn.mes.pro.mapper.productionSolution;

import com.bsn.mes.pro.domain.productionSolution.ProProductionSolution;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 生产版本Mapper接口
 *
 * @author zht
 * @date 2024-01-23
 */
public interface ProProductionSolutionMapper {
    /**
     * 查询生产版本
     *
     * @param productionSolutionId 生产版本主键
     * @return 生产版本
     */
    ProProductionSolution selectProProductionSolutionByProductionSolutionId(Long productionSolutionId);

    /**
     * 查询生产版本列表
     *
     * @param proProductionSolution 生产版本
     * @return 生产版本集合
     */
    List<ProProductionSolution> selectProProductionSolutionList(ProProductionSolution proProductionSolution);

    /**
     * 新增生产版本
     *
     * @param proProductionSolution 生产版本
     * @return 结果
     */
    int insertProProductionSolution(ProProductionSolution proProductionSolution);

    /**
     * 修改生产版本
     *
     * @param proProductionSolution 生产版本
     * @return 结果
     */
    int updateProProductionSolution(ProProductionSolution proProductionSolution);

    /**
     * 删除生产版本
     *
     * @param productionSolutionId 生产版本主键
     * @return 结果
     */
    int deleteProProductionSolutionByProductionSolutionId(Long productionSolutionId);

    /**
     * 批量删除生产版本
     *
     * @param productionSolutionIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteProProductionSolutionByProductionSolutionIds(Long[] productionSolutionIds);

    ProProductionSolution selectProProductionSolutionBySapPrototypeMakeCode(@Param("sapPrototypeMakeCode") String sapPrototypeMakeCode);


    /**
     * 通过版本号查询生产方案
     *
     * @param groupKey
     * @param groupCounter
     * @return
     */
    ProProductionSolution selectByGroupKeyAndGroupCounterAndSapItemCode(@Param("groupKey") String groupKey, @Param("groupCounter") String groupCounter, @Param("sapItemCode") String sapItemCode);
}
