package com.bsn.mes.pro.schedule.strategy;

import com.bsn.mes.pro.schedule.IOperationTimeCalculator;
import com.bsn.mes.pro.schedule.TaskSchedulingContext;

import java.time.Duration;
import java.util.List;

/**
 * 产能评估设备
 *   产能足，5
 *   产能不足，2
 *
 */
public class EvaluateEquipmentCapacity implements EvaluateEquipment{
    @Override
    public double evaluate(TaskSchedulingContext context, IOperationTimeCalculator.OperationTimePlan operationTimePlan
            , List<TaskSchedulingContext.TaskSchedulingResultContext> scheduleResult) {
        List<IOperationTimeCalculator.OperationTimePlanItem> operationTimePlanItemList = operationTimePlan.getPlan();
        if(operationTimePlanItemList.isEmpty()){
            return 0;
        }
        if(operationTimePlan.getScheduledSuccess()){
            return 10;
        }
        return 5;
    }

    @Override
    public int weight() {
        return 5;
    }

}
