package com.bsn.mes.restful;

import com.alibaba.fastjson.JSON;
import com.bsn.common.core.domain.AjaxResult;
import com.bsn.common.utils.reflect.PackageUtil;
import com.bsn.framework.security.BasicAuth;
import com.bsn.mes.md.service.IMdItemService;
import com.bsn.mes.md.vo.ItemUpdateMesVo;
import com.bsn.mes.md.vo.MdItemVo;
import io.swagger.annotations.ApiOperation;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.Row;
import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

import java.io.FileOutputStream;
import java.io.IOException;
import java.lang.annotation.Annotation;
import java.lang.reflect.Method;
import java.util.*;

/**
 * title: 产品物料接口
 * author:ZHT
 * date:2024/3/18
 * description:
 */
@RestController
@RequestMapping(value = "/api/v1/item")
public class ItemRestController {
    @Autowired
    private IMdItemService mdItemService;

    @ApiOperation(value = "ep产品物料创建")
    @BasicAuth
    @RequestMapping(value = "/itemCreate", method = RequestMethod.POST)
    public AjaxResult ItemCreate(@RequestBody String mdItemJson) {

        ItemUpdateMesVo mdItemVo = JSON.parseObject(mdItemJson).toJavaObject(ItemUpdateMesVo.class);


        int i = mdItemService.itemCreate(mdItemVo);
        if (i == 1) {
            return AjaxResult.success("新增成功");
        }
        if (i == 2) {
            return AjaxResult.success("修改成功");
        }
        if (i == 3) {
            return AjaxResult.success("删除成功");
        }

        return AjaxResult.success();
    }


    //    @ApiOperation(value = "产品物料创建")
    // 打印接口文档
    @RequestMapping(value = "/apiCreatett", method = RequestMethod.GET)
    public void apiCreatett() {

        List<Map<String, Object>> objects = new ArrayList<>();
        List<String> objects1 = new ArrayList<>();
        Package pack = Package.getPackage("com.bsn.mes.restful"); // 替换为你的包名
        Set<Class<?>> allClasses = PackageUtil.getAllClasses(pack);
        for (Class<?> allClass : allClasses) {
            // 获取main方法所在的类的Class对象
//            Class<?> clazz = Class.forName("AnnotationExample");
            // 获取annotatedMethod方法的Method对象
//                    Method method = allClass.getMethod("annotatedMethod");
            Method[] methods = allClass.getMethods();
            String parentPath = null;
            for (Annotation annotation : allClass.getAnnotations()) {
                if (annotation instanceof RequestMapping) {
                    RequestMapping anno1 = (RequestMapping) annotation;
                    String[] value = anno1.value();
                    StringBuffer sb = new StringBuffer();
                    for (String s : value) {
                        sb.append(s);
                    }
                    parentPath = sb.toString();
                }
            }

            for (Method method : methods) {
                StringBuffer stringBuffer = new StringBuffer();
                Map<String, Object> map = new HashMap<>();
                // 获取方法上的注解
                Annotation[] annotations = method.getAnnotations();
                for (Annotation annotation : annotations) {
                    if (annotation instanceof ApiOperation) {
                        ApiOperation anno1 = (ApiOperation) annotation;
                        map.put("apidesc", anno1.value());
                        stringBuffer.append("apidescxxxxxxx" + anno1.value());
                    }

                    if (annotation instanceof RequestMapping) {
                        RequestMapping anno2 = (RequestMapping) annotation;
                        String[] value = anno2.value();
                        StringBuffer sb = new StringBuffer();
                        for (String s : value) {
                            sb.append(s);
                        }

                        map.put("apiaddr", parentPath + sb);
//                        map.put("apimethod", anno2.method().toString());
                        stringBuffer.append("apidescxxxxxxx" + value);

                    }
                }
                objects1.add(stringBuffer.toString());
                objects.add(map);
            }
        }

//        excel(objects1);
        excel(objects, "C:\\Users\\1\\Desktop\\对外提供接口地址2.xlsx");

    }

//    public static void excel(List<String> list) {
//        System.out.println(list);
//
//    }


    public static void excel(List<Map<String, Object>> list, String filepath) {

//        System.out.println(JSON.toJSONString(list));
//        System.out.println("-------------------------------------------------------------------------------");
        Set<String> objects = new HashSet<>();

        List<Map<String, Object>> objects1 = new ArrayList<>();
        for (Map<String, Object> entry : list) {
            Object o = entry.get("apiaddr");
//            if (objects.add(o.toString())) {
//                objects1.add(entry);
//            }
            System.out.println(o);
            if (o != null && o != "") {
                if (objects.add(o.toString())) {
                    objects1.add(entry);
                }
            }

        }


//        System.out.println(JSON.toJSONString(objects1));
//        System.out.println("-------------------------------------------------------------------------------");

        // 创建一个新的工作簿
        Workbook workbook = new XSSFWorkbook();
        // 创建一个工作表
        Sheet sheet = workbook.createSheet("接口");

        // 创建行（0基索引）
        Row row = sheet.createRow(0);

        // 创建单元格并设置值
        Cell cell = row.createCell(0);
        cell.setCellValue("服务启用");
        cell = row.createCell(3);
        cell.setCellValue("接口服务描述");
        cell = row.createCell(1);
        cell.setCellValue("接口地址");
        cell = row.createCell(2);
        cell.setCellValue("api地址");

        int rowIndex = 1;
        for (Map<String, Object> dataRow : list) {
            Object o1 = dataRow.get("apiaddr");
            if (o1 == null) {
                continue;
            }

            // 创建行（0基索引）
            row = sheet.createRow(rowIndex);


            // 创建单元格并设置值
            cell = row.createCell(0);
            cell.setCellValue("是");
            cell = row.createCell(3);
//            cell.setCellValue(DataUtil.getNormalData(dataRow.get("apidesc"), String.class));
            Object o = dataRow.get("apidesc");
            cell.setCellValue(o == null ? null : o.toString());
            cell = row.createCell(1);
            cell.setCellValue("http://192.168.3.91:8080");
            cell = row.createCell(2);
            cell.setCellValue(o1 == null ? null : o1.toString());
//            cell.setCellValue(DataUtil.getNormalData(dataRow.get("apiaddr"), String.class));
            rowIndex++;
        }

        // 写入到文件
        try (FileOutputStream outputStream = new FileOutputStream(filepath)) {
            workbook.write(outputStream);
        } catch (IOException e) {
            e.printStackTrace();
        } finally {
            // 清理资源
            try {
                workbook.close();
            } catch (IOException e) {
                e.printStackTrace();
            }
        }

    }
}
