package com.bsn.mes.restful;


import com.alibaba.fastjson.JSON;
import com.bsn.common.core.domain.AjaxResult;


import com.bsn.framework.security.BasicAuth;
import com.bsn.mes.pro.domain.vo.ProProcessVo;
import com.bsn.mes.pro.service.IProProcessService;

import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;



@RestController
@RequestMapping(value="/api/v1/process")
public class ProcessRestController {
    @Autowired
    private IProProcessService proProcessService;

    @ApiOperation(value = "工序信息的创建")
    @BasicAuth
    @RequestMapping(value = "/processCreate", method = RequestMethod.POST)
    public AjaxResult processCreates(@RequestBody String proProcessJson) {
        try {
            ProProcessVo proProcessVo = JSON.parseObject(proProcessJson).toJavaObject(ProProcessVo.class);
            int i = proProcessService.processCreate(proProcessVo);
            if (i == 1) {
                return AjaxResult.success("新增成功");
            }
            if (i == 2) {
                return AjaxResult.success("修改成功");
            }
            if (i == 3) {
                return AjaxResult.success("删除成功");
            }
        }catch (Exception e){
            return AjaxResult.error(e.getMessage());
        }
        return AjaxResult.success();
    }
}
