package com.bsn.mes.restful;

import com.alibaba.fastjson.JSON;
import com.bsn.common.annotation.Log;
import com.bsn.common.core.controller.BaseController;
import com.bsn.common.core.domain.AjaxResult;
import com.bsn.common.core.domain.entity.SysUser;
import com.bsn.common.enums.BusinessType;
import com.bsn.common.utils.data.DataUtil;
import com.bsn.common.utils.data.DateUtils;
import com.bsn.framework.security.BasicAuth;
import com.bsn.mes.bpm.BpmService;
import com.bsn.mes.pro.domain.ep.EPDtoProWorkOrder;
import com.bsn.system.domain.vo.PersonVo;
import com.bsn.system.domain.vo.SysOrgUserVo;
import com.bsn.system.mapper.SysUserMapper;
import com.bsn.system.service.ISysUserService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;
import java.util.Objects;


@RestController
@RequestMapping(value = "/system/usermanage")
public class UserManageRestController extends BaseController {

    @Autowired
    private ISysUserService sysUserService;

    @Autowired
    private BpmService bpmService;




    @Log(title = "bpm人员创建", businessType = BusinessType.INSERT)
    @PostMapping("/userManageCreate")
    public AjaxResult userManageCreate() {
        String userString = bpmService.sysSysOrg();
        SysOrgUserVo javaObject = JSON.parseObject(userString).toJavaObject(SysOrgUserVo.class);
        List<PersonVo> personVoList = javaObject.getPersonVoList();
        sysUserService.userCreate(personVoList);
        return AjaxResult.success("已完成同步");
    }


}
