package com.bsn.mes.restful.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class PackageLinkInfo {

    @ApiModelProperty("生产工单号")
    String workorderNo;

    @ApiModelProperty("物料名称")
    String itemName;

    @ApiModelProperty("产成品物料号（SAP物料号）")
    String sapItemCode;

    @ApiModelProperty("指令号")
    String clientCmd;

    @ApiModelProperty("SIZE")
    String standardSize;

    @ApiModelProperty("总数量=数量+LOSS数量")
    Integer totalQuantity;

    @ApiModelProperty("数量")
    Integer quantity=0;

    @ApiModelProperty("LOSS数量")
    Integer lossNum=0;

    @ApiModelProperty("单位")
    String unitOfMeasure;

    @ApiModelProperty("工厂（固定值为1000 ）")
    String factory = "1000";

    @ApiModelProperty("二维码")
    String qrcode;

    @ApiModelProperty("BL二维码")
    String blQrcode;

    @ApiModelProperty("净重")
    BigDecimal netWeight;

    @ApiModelProperty("毛重")
    BigDecimal grossWeight;

    @ApiModelProperty("重量单位")
    String weightUnit="KG";

    @ApiModelProperty("检验人员")
    String checkBy;


}
