package com.bsn.mes.sap.execute;

import com.alibaba.fastjson.JSONObject;
import com.bsn.common.utils.spring.SpringUtils;
import com.bsn.mes.pro.domain.ProFeedback;
import com.bsn.mes.pro.domain.sap.SAPDtoTaskAssistProcess;
import com.bsn.mes.pro.domain.task.ProTaskAssistProcess;
import com.bsn.mes.sap.SapService;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.extern.slf4j.Slf4j;

import java.util.Collections;

@Data
@Slf4j
@AllArgsConstructor
@NoArgsConstructor
public class SapServiceAssistProcess {
    ProFeedback feedback;
    ProTaskAssistProcess proTaskAssistProcess;

    public void execute() {
        SapService sapService = SpringUtils.getBean(SapService.class);
        SAPDtoTaskAssistProcess sapTaskAssistProcess = new SAPDtoTaskAssistProcess();
        sapTaskAssistProcess.setAssistProcessCode(proTaskAssistProcess.getAssistProcessCode());
        sapTaskAssistProcess.setAssistProcessItemCode(proTaskAssistProcess.getAssistProcessItemCode());
        sapTaskAssistProcess.setCloseType(proTaskAssistProcess.getCloseType());
        sapTaskAssistProcess.setUnit(proTaskAssistProcess.getUnit());
        sapTaskAssistProcess.setQuantity(feedback.getQuantityFeedback().longValue());
        String json = JSONObject.toJSONString(Collections.singletonList(sapTaskAssistProcess));
        log.info("------------------------------------------------------------------->>>> 请求结果:  " + json);
        String s = sapService.uploadAssistProcessTaskData(json);
        log.info("------------------------------------------------------------------->>>> 返回结果:  " + s);

    }
}
